Updated Platform Migration Procedures Certified for EBS 12

source_target_migration.png
We are pleased to announce the certification of the Platform Migration Methodology for Oracle E-Business Suite Release 12.  The existing documentation has been updated to be generic for all Release 12 versions.

The platform migration process provides a way to quickly and easily move an existing Oracle E-Business Suite application tier to a different platform, allowing you to utilize different hardware for the application tier.

The migration utility retains the exact Oracle E-Business Suite patch level, so that no APPL_TOP or database synchronization is necessary.  This also allows you to retain many customizations.

The existing procedure available for 12.0 has been optimized and modified for all Release 12.x versions. You can find more details in the following document available in My Oracle Support:
Some additional considerations
  • This migration methodology requires at least E-Business Suite version 12.0.4 for Release 12.0 and 12.1.1 (or higher) for Release 12.1.
  • This methodology applies to the Application Tier (middle tier) only.  The database tier is not covered by this process.
  • Migration to Windows-based target servers is not supported at this time
  • The platform migration procedure is not supported with Linux running on IBM System z (Source or Target) at this time.
Your feedback is welcome

We're extremely interested in hearing about your use cases and your experiences with these updated procedures. Please post a comment here or drop us a line with your thoughts.

Related Articles

Comments:

Steve Hi,
Currently we are running on RAC DB 11g - 2 Node with DG Physical Standby on Ebusiness Suite Apps 11i 4 Apps Node. + SSO + OID OAS 10g + Portal Running. Plannig to do Migrate into Same Endian Platform.

What are the steps to take care for the minimal down time?
What is the best method to do migration?

Thanks,
Ravi

Posted by Ravi on October 25, 2010 at 12:34 AM PDT #

Ravi,
The procedure posted on this document (438086.1) applies only for the Apps Tier. I would suggest you look at the Server Technologies specific documentation or contact Oracle Support for more details.
Thanks!
Max

Posted by Max Arderius on November 01, 2010 at 02:43 AM PDT #

Hi Steve,

We are currently on HP_UX RISC 11.23 and planning to migrate HP_UX Itnanium 11.31. The document suggesting to install 12.1.2 tech stack on new hardware and copy APPL_TOP and some other comn_top files. But we are not getting 12.1.2 media pack and it forces us to install 12.1.1 and upgrade to 12.1.2 .

Would like to know your suggested approach for our requirement.

Thanks!
Thy

Posted by Thy on January 13, 2011 at 04:34 PM PST #

Thy,
There is no specific 12.1.2 Rapid Install Media for HP. The only one available so far for HP is 12.1.1. However, part of the process is to obtain a patch from Oracle to get the latest version for binary objects under the APPL_TOP (Section 2, Step 1b and Step 8). This will keep the same version you had in the source.

Additionally, on Section 2, Step 6 of the migration document you have to install the technology stack included in 12.1.1. If you had applied patches in the Application Tier Oracle_Homes (10.1.2, 10.1.3) you will have to apply them in the new platform as well to keep the same component versions (Section 2, Step 10).
If you need further assistance or clarifications I would suggest you consult with Oracle Support so they can assist you closely in the process.

Posted by Max Arderius on January 18, 2011 at 11:31 PM PST #

Hi Steve,
I've successfully migrated R12.1.3 from Solaris to Linux, but afterwards found certain things missing like oraInst.loc, should be in /etc instead of /var/opt/oracle. Working with Support, and searching there is one under $INST_TOP. And able to use -invPtrLoc to do lsinventory. But trying to run a IAS upgrade patch using opatch failed. It's looking for $ORACLE_HOME/forms/lib32, but there is only lib exists. I see my Solaris system does have both lib and lib32. Can you tell me is there a way to install lib32 or perhaps my oraInst.loc is wrong and need to "clone" a /etc one? This is very confusing and Supprot is unable to help me. Can any have similar situation and had overcomed? Thanks alot.

Posted by guest on February 25, 2015 at 11:01 AM PST #

Guest,

The location of the oraInst.loc is different depending on the platform. This may explain what you noticed.

For AIX & Linux, it is located under /etc/oraInst.loc
For HP-UX & Solaris, it is located in /var/opt/oracle/oraInst.loc.

You should not have to install any additional library and the variables should point to the right location. Part of the procedure is to install the Applications Technology Stack using Rapid Install and patch it to the latest patch. You may want to make sure the PATH does not have any incorrect variables, and make sure you are pointing to the right oraInventory.

Another possibility is that the technology Stack installation portion was somehow not successful if /etc/oraInst.loc didn't exist before installing the technology stack. If that was the case, I would suggest you create the file with the correct setting pointing to a new oraInventory location and perform the installation again so the Oracle Homes can be properly registered.

I haven't see any particular issues with this area. If you are not receiving a proper response in your Service Request, I would suggest that you escalate it so it can get the proper attention.

Thanks!
Max

Posted by Max Arderius on February 25, 2015 at 01:00 PM PST #

Thanks Max. As you suggested, I was able to get oraInst.loc created correctly by reinstalling Tech Stack.
Opatch is still looking for $ORACLE_HOME/forms/lib32, not sure how to resolve it. Will escalate to SR.
But if anyone has encountered, please help.

Thanks.

Posted by guest on February 25, 2015 at 08:53 PM PST #

We've a platform where EBS 12.1.3 application and 11.2.0.3 database tier is in AIX platform. The plan is to:
1. Migrate the database to Oracle Database Appliance X4-2(Using Export, Import or Transportable Tablespace)
2. Re-install Oracle Enterprise Linux(OEL) in the existing IBM AIX servers and have application tier in the IBM servers with OEL( Doc id 438086.1)

Please let me know if this solution would work. Also, are there any best practices to migrate and use E-Business Suite 12.1.3 with Database 11.2.0.3 in ODA.

Posted by guest on March 02, 2015 at 01:49 AM PST #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Search

Categories
Archives
« July 2015
SunMonTueWedThuFriSat
   
1
3
4
5
7
8
9
11
12
18
19
21
23
25
26
27
31
 
       
Today